---
title: FileReader.error
slug: Web/API/FileReader/error
tags:
  - API
  - File API
  - Files
  - Property
  - Reference
---
<div>{{APIRef("File API")}}</div>

<p>The {{domxref("FileReader")}} <code><strong>error</strong></code> property returns the error that occurred while reading the file.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>error</var> = <var>instanceOfFileReader</var>.error
</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("DOMError")}} containing the relevant error. In Chrome 48+/Firefox 58+ this property returns a {{domxref("DOMException")}} because <code>DOMError</code> has been removed from the DOM standard.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("File API", "#dom-filereader-error", "FileReader: error")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileReader.error")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileReader")}}</li>
</ul>
